%define name	cvsgraph
%define version	1.5.1
%define release	1mdk
%define confdir %{_sysconfdir}/cvs

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Create graphs of branches and revisions for files in a CVS repository
License:	GPL
Group:		System/Servers
Source:		http://www.akhphd.au.dk/~bertho/cvsgraph/release/%{name}-%{version}.tar.bz2
URL:		http://www.akhphd.au.dk/~bertho/cvsgraph
BuildRequires:	libgd-devel
BuildRequires:	flex
BuildRequires:	bison
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
CvsGraph is a utility to make a graphical representation of all revisions
and branches of a file in a CVS/RCS repository. It has been inspired by
the 'graph' option in WinCVS, but I could not find a stand-alone version
of this graph code. So, it was time to write one.

%prep
%setup

%build
%configure --sysconfdir=%{confdir}
make

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/{man1,man5}
install -d -m 755 $RPM_BUILD_ROOT%{confdir}
install -m 755 %{name} $RPM_BUILD_ROOT%{_bindir}
install -m 644 %{name}.conf $RPM_BUILD_ROOT%{confdir}
install -m 644 %{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 %{name}.conf.5 $RPM_BUILD_ROOT%{_mandir}/man5

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog LICENSE README
%doc contrib/*.php3
%doc contrib/automatic_documentation
%config(noreplace) %{confdir}/%{name}.conf
%dir %{confdir}
%{_bindir}/%{name}
%{_mandir}/man1/*
%{_mandir}/man5/*

%changelog
* Tue Oct 25 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.5.1-1mdk
- 1.5.1

* Mon Aug 16 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.5.0-1mdk
- 1.5.0

* Wed May 26 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.4.0-3mdk
- rebuild
- rpmbuildupdate aware

* Fri Apr 25 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.4.0-2mdk
- fixed buildrequires (Stefan van der Eijk <stefan@eijk.nu>)

* Sat Mar 22 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.4.0-1mdk
- first mdk release, with a spec stolen from Jason Corley <jason.corley@borland.com>
